
export crossOS=android
echo "+ Setting crossOS=$crossOS"

export NDK_HOME=`pwd`
export PATH=$NDK_HOME/android_toolchain/bin:$NDK_HOME/android-ndk-r8d:$PATH

echo "+ Setting NDK_HOME to $NDK_HOME"
echo "+ Updating PATH to include 'android_toolchain/bin/' and 'ndk-build'"

export CPP=arm-linux-androideabi-cpp
export CC=arm-linux-androideabi-gcc
export CXX=arm-linux-androideabi-g++
export LD=arm-linux-androideabi-ld
export AR=arm-linux-androideabi-ar
export RANLIB=arm-linux-androideabi-ranlib


# Need to make sure crossOS is set before sourcing the gnome-lib ext
# to ensure GSDLOS is set to 'android'.  This in turn ensures that all
# the cross-compiled files go under the 'android' install directory
# and avoids cross-contamination of shared libraries between commands
# run on the build OS (linux) and the intented final host OS (android)

pushd ../gs2build/ext/gnome-lib
source ./devel.bash
popd

source ./gs3-setup.bash


